System.Web 2.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Class, AllowMultiple=false, Inherited=true)

When defining a object, you typically bind a control's property to a parameter by setting both the and properties. If the property is not set, a default property is used. The attribute is applied to a control to specify its default property that a object binds to at run time.

For more information about using attributes, see Extending Metadata Using Attributes.

For a list of initial property values for an instance of the class, see the constructor.

Specifies the default property of a control that a object binds to at run time. This class cannot be inherited.

- Constructor
  To be added.

  Use this constructor to create a new instance of the class using the specified property name. The following table shows the initial property value for an instance of the class.

  Property

  Initial value

  The value of the parameter.

  Initializes a new instance of the class using the specified property name.

  2.0.0.0
- Constructor
  To be added.
  To be added.

  Use this constructor to create a new instance of the class using the specified property name and default value. The following table shows initial property values for an instance of the class.

  Property

  Initial value

  The value of the parameter.

  The value of the parameter.

  Initializes a new instance of the class using the specified property name and default value.

  2.0.0.0
- Constructor
  To be added.
  To be added.

  Use this constructor to create a new instance of the class using the specified property name and default value. This version of the constructor also attempts to convert the default value to the data type specified by the parameter. If the default value cannot be converted, the property is not set. The following table shows initial property values for an instance of the class.

  Property

  Initial value

  The value of the parameter.

  The value of the parameter, if the value can be converted to the data type specified by the parameter.

  Initializes a new instance of the class using the specified property name and default value. The default value is also converted to the specified data type.

  The to which the default value is converted.
  2.0.0.0
- Property
  System.Object To be added.

  When the property specified by the property is not set, use the property to determine the default value for the property.

  Gets the default value for the default property of a control.

  2.0.0.0
- Method
  System.Boolean ``

  Use the method to determine whether the current instance of the object is equal to the specified object. For the objects to be equal, they must meet the following criteria:

  The object contained in the parameter must be a object.

  The and properties of both objects must be equal.

  This method is used primarily by control developers.

  Determines whether the current instance of the object is equal to the specified object.

  true if the object contained in the parameter is equal to the current instance of ; otherwise, false.

  The to compare with this instance. 2.0.0.0
- Method
  System.Int32 To be added.

  Returns the hash code for this instance.

  A 32-bit signed integer hash code.

  2.0.0.0
- Property
  System.String To be added.

  When a object is defined without its property set, use the property to determine the default property that is bound to the object at run time.

  Gets the default property for a control.

  2.0.0.0